from __future__ import absolute_import
from __future__ import print_function
from setuptools import setup, find_packages
import distutils.text_file
from pathlib import Path
from typing import List
import setuptools

def _parse_requirements(filename: str) -> List[str]:
    """Return requirements from requirements file."""
    # Ref: https://stackoverflow.com/a/42033122/
    return distutils.text_file.TextFile(filename=str(Path(__file__).with_name(filename))).readlines()

with open("README.md", "r") as fh:
    long_description = fh.read()

print(find_packages())

setup(
    name='aidetector',
    version='0.0.2',
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        "console_scripts": ["aidetector=aidetector.command_interface:main"]
    },
    author="Sean Bailey",
    author_email="seanbailey518@gmail.com",
    description="AiDetector provides a simple interface to train and run models to classify if text was generated by AI or not.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/baileytec-labs",
    python_requires=">=3.9",
    classifiers=[
        "Programming Language :: Python :: 3",
        'License :: OSI Approved :: Apache Software License',
        "Operating System :: OS Independent",
    ],
install_requires=[
    "spacy",
    "torch",
    "torchtext",
    "halo",
    "pandas",
    "scikit-learn",
]

)
